<?php
require_once "vb_api_client.php";
require_once "config.php";
require_once "facebook_app.php";
FacebookApp::instance()->ensureFacebookUserLoggedInToVB();

if(!(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strstr($_SERVER['HTTP_X_REQUESTED_WITH'], 'XMLHttpRequest'))) {
    header('HTTP/1.1 404 Not Found');
    header('Connection: close');
    exit;
}

if( empty($_POST['pollid'])) {
    header('HTTP/1.1 404 Not Found');
    header('Connection: close');
    exit;
}
$do = isset($_POST['do'])? $_POST['do'] : '';
$pollid = isset($_POST['pollid'])? $_POST['pollid'] : '';
$multiple = isset($_POST['multiple'])? $_POST['multiple'] : 0;

if($do == 'vote'){
    $optionnumber = isset($_POST['optionnumber'])? $_POST['optionnumber'] : '';
    if($multiple) {
        if(substr_count($optionnumber, ",") > 0) {
            $optionnumberAux = explode(",", $optionnumber);
            foreach($optionnumberAux as $option) {
                $optionnumberArray[$option] = 1;
            }
            $optionnumber = $optionnumberArray;
        } else {
            $optionnumber = array($optionnumber => 1);
        }
    }

    $error_messages = array(
        'nopermission_banned' => array(true, false, 'You have been banned.'),
        'nopermission_banned_infractions' => array(true, false, 'You have been banned because of infractions.'),
        'nopermission_loggedin' => array(true, false, 'You are logged in but have no permission to vote on this poll.'),
        'nopermission_loggedout' => array(false, true, 'You must log in to vote on this poll.'),
        'forumpasswordmissing' => array(false, true, 'This forum requires a password.'),
        'invalidid' => array(false, true, 'Invalid poll specified.'),
        'pollclosed' => array(true, true, 'Poll is closed.'),
        'useralreadyvote' => array(true, true, 'You have already voted.'),
        'redirect_pollvoteduplicate' => array(true, true, 'You have already voted.'),
        'nopolloptionselected' => array(true, false, 'Please select a poll option.')
    );
    $json_result = json_decode(VBApiClient::instance()->call_cached('poll_pollvote', array(), array('pollid' => $pollid, 'optionnumber' => $optionnumber)), true);
    //echo json_encode($json_result);
    if(!empty($json_result['response']['errormessage']) && $json_result['response']['errormessage'] == 'redirect_pollvotethanks') {
        echo json_encode(array("redirect" => true, "error" => false, "message" => "poll vote is successful"));
    }else {
       echo json_encode(array("redirect" => false, "error" => true, "message" => @$error_messages[$json_result['response']['errormessage'][0]]));
    }
}

if($do == 'showresults'){
    $json_result = json_decode(VBApiClient::instance()->call_cached('poll_showresults', array('pollid' => $pollid), array()), true);
    $html = '<table>';
    foreach($json_result['response']['pollresults']['pollbits'] as $option){
        $html .= '
                <tr class="pollVote">
                    <td class="pollOption"><i>' . $option['option']['question'] . '</i></td>
                    <td class="pollVotes">' . $option['option']['votes'] . ' Votes</td>
                </tr>';
    }
    $html .= '</table>';
    echo json_encode(array("redirect" => true, "error" => false, "message" => $html));
}

exit;
?>
